import 'package:flutter/material.dart';

class BudgetColorCircle extends StatelessWidget {
  const BudgetColorCircle(
      {super.key, required this.color, this.height = 18, this.width = 18});

  final double height;
  final double width;
  final Color color;

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        Container(
          height: height,
          width: width,
          decoration: const BoxDecoration(
            shape: BoxShape.circle,
            color: Colors.white,
          ),
        ),
        Container(
          height: height,
          width: width,
          decoration: BoxDecoration(
            shape: BoxShape.circle,
            border: Border.all(color: Colors.black, width: 1.5),
            color: color,
          ),
        ),
      ],
    );
  }
}
